Catalogs
The business product object
Attributes
idstringrequiredIdentifier for this resource.
retailerIdstringMerchant-defined identifier for the catalog item.
belongsTostringpattern^[1-9][0-9]{0,18}$Opaque Polymorfa resource ID. Keep this value as a string.
namestringrequiredHuman-readable name for this resource.
descriptionstringHuman-readable description of this resource.
pricestringrequiredPrice as a digit string in thousandths of the declared currency unit.
currencystringrequiredISO 4217 currency code.
urlstring (uri)URL associated with this resource.
shimmedUrlstring (uri)URL for the shimmed.
hiddenbooleanrequiredWhether this resource is hidden from ordinary listings.
sanctionedbooleanrequiredWhether sanctioned.
maxAvailableintegermin0Specifies max available for this native business product.
availabilitystringSpecifies availability for this native business product.
complianceCategorystringSpecifies compliance category for this native business product.
complianceobjectStructured compliance values for this native business product.
Show 3 child fields
mediaobjectrequiredProduct media gallery entries associated with this catalog item.
Show 2 child fields
salePriceobjectStructured sale price details for this native business product.
Show 3 child fields
statusobjectrequiredStructured status details for this native business product.
Show 2 child fields
variantobjectStructured variant values for this native business product.
Show 4 child fields
{
"id": "string",
"retailerId": "string",
"belongsTo": "739182640518203",
"name": "string",
"description": "string",
"price": "string",
"currency": "string",
"url": "https://example.com",
"shimmedUrl": "https://example.com",
"hidden": true,
"sanctioned": true,
"maxAvailable": 0,
"availability": "string",
"complianceCategory": "string",
"compliance": {
"countryCodeOrigin": "string",
"importerName": "string",
"importerAddress": {
"street1": "string",
"street2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"countryCode": "string"
}
},
"media": {
"images": [
{
"id": "string",
"originalUrl": "https://example.com",
"requestUrl": "https://example.com"
}
],
"videos": [
{
"id": "string",
"originalUrl": "https://example.com",
"thumbnailUrl": "https://example.com"
}
]
},
"salePrice": {
"price": "string",
"startDate": "string",
"endDate": "string"
},
"status": {
"status": "string",
"canAppeal": true
},
"variant": {
"availability": {
"listings": [
{
"productId": "string",
"available": true,
"options": [
{
"name": null,
"value": null
}
]
}
]
},
"listingDetails": {
"description": "string",
"lowestPrice": "string",
"multiPrice": "string"
},
"types": [
{
"name": "string",
"options": [
{
"value": "string",
"thumbnail": {
"id": null,
"originalUrl": null,
"requestUrl": null,
"originalDimensions": null
}
}
]
}
],
"properties": [
{
"name": "string",
"value": "string"
}
]
}
}Create business catalog
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Catalog created
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/catalog" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"success": true
}
}Create business product
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
namestringrequiredlength1–256Human-readable name for this resource.
descriptionstringmax length4096Human-readable description of this resource.
currencystringpattern^[A-Z]{3}$ISO 4217 currency code.
pricestringpattern^\d{1,18}$Price as a digit string in thousandths of the declared currency unit.
salePricestringpattern^\d{1,18}$Optional discounted price as a digit string in thousandths of the declared currency unit.
urlstring (uri)max length2048URL associated with this resource.
retailerIdstringmax length256Merchant-defined identifier for the catalog item.
hiddenbooleanWhether this resource is hidden from ordinary listings.
imagesarray of objectrequireditems1–10Images attached to or representing this resource.
Show 3 child fields
videoUrlsarray of string (uri)max items10item max length4096item formaturiVideo urls associated with this native business product mutation request.
complianceCategorystringmax length128Specifies compliance category for this native business product mutation request.
complianceobjectStructured compliance values for this native business product mutation request.
Show 3 child fields
widthintegerrange1–1024Width in pixels.
heightintegerrange1–1024Height in pixels.
Responses
200Product created
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 19 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/products" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"images": [
{
"url": "https://example.com",
"base64": "string",
"mediaUrl": "https://example.com"
}
]
}'{
"success": true,
"data": {
"id": "string",
"name": "string",
"price": "string",
"currency": "string",
"hidden": true,
"sanctioned": true,
"media": {
"images": [
{
"id": "string"
}
],
"videos": [
{
"id": "string"
}
]
},
"status": {
"canAppeal": true
}
}
}Create business collection
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
namestringrequiredlength1–256Human-readable name for this resource.
productIdsarray of stringrequireditems1–100item length1–256Identifiers of the products included in this section.
Responses
200Collection created
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 2 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/collections" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"productIds": [
"string"
]
}'{
"success": true,
"data": {
"id": "string",
"reviewStatus": "string"
}
}Get business catalog
- Base URL
https://api.polymorfa.com- Required permission
business:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Query parameters
idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$Identifier for this resource.
afterstringmax length2048Specifies after for this query parameter.
limitintegerrange1–100Specifies limit for this query parameter.
widthintegerrange1–1024Width in pixels.
heightintegerrange1–1024Height in pixels.
Responses
200Live catalog page
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 3 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
502Upstream WhatsApp request failed or its response could not be mapped
curl "https://api.polymorfa.com/messaging/<session>/business/catalog?id=<id>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"products": [
{
"id": "string",
"name": "string",
"price": "string",
"currency": "string",
"hidden": true,
"sanctioned": true,
"media": {
"images": [
{
"id": null
}
],
"videos": [
{
"id": null
}
]
},
"status": {
"canAppeal": true
}
}
]
}
}Get business product
- Base URL
https://api.polymorfa.com- Required permission
business:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
productIdstringrequiredmax length256Identifier for the product.
Query parameters
idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Live product
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 19 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
502Upstream WhatsApp request failed or its response could not be mapped
curl "https://api.polymorfa.com/messaging/<session>/business/products/<productId>?id=<id>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "string",
"name": "string",
"price": "string",
"currency": "string",
"hidden": true,
"sanctioned": true,
"media": {
"images": [
{
"id": "string"
}
],
"videos": [
{
"id": "string"
}
]
},
"status": {
"canAppeal": true
}
}
}Get business collections
- Base URL
https://api.polymorfa.com- Required permission
business:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Query parameters
idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$Identifier for this resource.
afterstringmax length2048Specifies after for this query parameter.
collectionLimitintegerrange1–20Specifies collection limit for this query parameter.
itemLimitintegerrange1–100Specifies item limit for this query parameter.
widthintegerrange1–1024Width in pixels.
heightintegerrange1–1024Height in pixels.
Responses
200Live collection page
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 2 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
502Upstream WhatsApp request failed or its response could not be mapped
curl "https://api.polymorfa.com/messaging/<session>/business/collections?id=<id>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"collections": [
{
"id": "string",
"name": "string",
"products": [
{
"id": "string",
"name": "string",
"price": "string",
"currency": "string",
"hidden": true,
"sanctioned": true,
"media": {
"images": null,
"videos": null
},
"status": {
"canAppeal": null
}
}
],
"status": {
"canAppeal": true
}
}
]
}
}Get business collection
- Base URL
https://api.polymorfa.com- Required permission
business:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
collectionIdstringrequiredmax length256Identifier for the collection.
Query parameters
idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$Identifier for this resource.
afterstringmax length2048Specifies after for this query parameter.
limitintegerrange1–100Specifies limit for this query parameter.
widthintegerrange1–1024Width in pixels.
heightintegerrange1–1024Height in pixels.
Responses
200Live collection
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 4 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
502Upstream WhatsApp request failed or its response could not be mapped
curl "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>?id=<id>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "string",
"name": "string",
"products": [
{
"id": "string",
"name": "string",
"price": "string",
"currency": "string",
"hidden": true,
"sanctioned": true,
"media": {
"images": [
{
"id": null
}
],
"videos": [
{
"id": null
}
]
},
"status": {
"canAppeal": true
}
}
],
"status": {
"canAppeal": true
}
}
}Get business order
- Base URL
https://api.polymorfa.com- Required permission
business:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
orderIdstringrequiredmax length256Identifier for the order.
Body
tokenstringrequiredlength1–8192Opaque token required by the target operation.
Responses
200Order details
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
502Upstream WhatsApp request failed or its response could not be mapped
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/orders/<orderId>/lookup" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"token": "string"
}'{
"success": true,
"data": {
"id": "string",
"createdAt": 0,
"price": {
"subtotal": "string",
"total": "string",
"currency": "string"
},
"products": [
{
"id": "string",
"price": "string",
"currency": "string",
"name": "string",
"quantity": 0
}
]
}
}Update business product
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
productIdstringrequiredmax length256Identifier for the product.
Body
namestringrequiredlength1–256Human-readable name for this resource.
descriptionstringmax length4096Human-readable description of this resource.
currencystringpattern^[A-Z]{3}$ISO 4217 currency code.
pricestringpattern^\d{1,18}$Price as a digit string in thousandths of the declared currency unit.
salePricestringpattern^\d{1,18}$Optional discounted price as a digit string in thousandths of the declared currency unit.
urlstring (uri)max length2048URL associated with this resource.
retailerIdstringmax length256Merchant-defined identifier for the catalog item.
hiddenbooleanWhether this resource is hidden from ordinary listings.
imagesarray of objectrequireditems1–10Images attached to or representing this resource.
Show 3 child fields
videoUrlsarray of string (uri)max items10item max length4096item formaturiVideo urls associated with this native business product mutation request.
complianceCategorystringmax length128Specifies compliance category for this native business product mutation request.
complianceobjectStructured compliance values for this native business product mutation request.
Show 3 child fields
widthintegerrange1–1024Width in pixels.
heightintegerrange1–1024Height in pixels.
Responses
200Product updated
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 19 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/products/<productId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"images": [
{
"url": "https://example.com",
"base64": "string",
"mediaUrl": "https://example.com"
}
]
}'{
"success": true,
"data": {
"id": "string",
"name": "string",
"price": "string",
"currency": "string",
"hidden": true,
"sanctioned": true,
"media": {
"images": [
{
"id": "string"
}
],
"videos": [
{
"id": "string"
}
]
},
"status": {
"canAppeal": true
}
}
}Update business collection
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
collectionIdstringrequiredmax length256Identifier for the collection.
Body
namestringlength1–256Human-readable name for this resource.
addProductIdsarray of stringitems0–100item length1–256Add product ids associated with this native business collection update request.
removeProductIdsarray of stringitems0–100item length1–256Remove product ids associated with this native business collection update request.
Responses
200Collection updated
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 2 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"addProductIds": [
"string"
],
"removeProductIds": [
"string"
]
}'{
"success": true,
"data": {
"id": "string",
"reviewStatus": "string"
}
}Set business cart enabled
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
enabledbooleanrequiredWhether this feature is enabled.
Responses
200Cart setting updated
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/catalog/cart" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"enabled": true
}'{
"success": true,
"data": {
"success": true
}
}Set business product visibility
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
productIdstringrequiredmax length256Identifier for the product.
Body
hiddenbooleanrequiredWhether this resource is hidden from ordinary listings.
Responses
200Product visibility updated
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/products/<productId>/visibility" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"hidden": true
}'{
"success": true,
"data": {
"success": true
}
}Appeal business product
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
productIdstringrequiredmax length256Identifier for the product.
Body
reasonstringrequiredlength1–4096Reason for the reported state or outcome.
Responses
200Product appeal submitted
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/products/<productId>/appeal" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"reason": "string"
}'{
"success": true,
"data": {
"success": true
}
}Reorder business collections
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
movesarray of objectrequireditems1–100Moves associated with this native business collection reorder request.
Show 3 child fields
Responses
200Collections reordered
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/collections/reorder" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"moves": [
{
"collectionId": "string",
"fromIndex": 0,
"toIndex": 0
}
]
}'{
"success": true,
"data": {
"success": true
}
}Appeal business collection
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
collectionIdstringrequiredmax length256Identifier for the collection.
Body
reasonstringrequiredlength1–4096Reason for the reported state or outcome.
Responses
200Collection appeal submitted
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>/appeal" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"reason": "string"
}'{
"success": true,
"data": {
"success": true
}
}Delete business product
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
productIdstringrequiredmax length256Identifier for the product.
Responses
200Product deleted
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/products/<productId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"deletedCount": 0
}
}Delete business collection
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
collectionIdstringrequiredmax length256Identifier for the collection.
Responses
200Collection deleted
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"success": true
}
}